package es.ejie.frmk.infraestructura.sms;

import es.ejie.frmk.control.excepciones.Q70FrameworkException;

/**
 * Esta clase es la excepcion lanzada por el componente Gestor de SMS, 
 * concretamente, se produce en la petición de envío de un SMS.
 * Los atributos que tiene son:
 * <ul>
 * <li>El origen del error </li>
 * <li>La razón del error </li>
 * </ul>
 * @version 2.0   Fecha: 07-jun-06
 */
public class Q70SMSPeticionException extends Q70FrameworkException {

	private String origen=null;
	private String razon=null;
	

	/**
	 * Constructor de clase <code>Q70SMSPeticionException</code>
	 * 
	 * @param origen Origen del error
	 * @param razon Razón del error
	 * @param clase La clase que origino la excepcion
	 * @param metodo El metodo que origino la excepcion
	 * @param s Mensaje con el motivo de la excepcion
	 */
	public Q70SMSPeticionException(String origen,String razon,String clase, String metodo, String s) {
		super(Q70Constantes.ID_COMPONENTE, clase, metodo, s, null);
		this.origen=origen;
		this.razon=razon;

	}

	/**
	 * @return origen
	 */
	public String getOrigen() {
		return origen;
	}

	/**
	 * @param origen
	 */
	public void setOrigen(String origen) {
		this.origen = origen;
	}

	/**
	 * @return razon del error
	 */
	public String getRazon() {
		return razon;
	}

	/**
	 * @param razon
	 */
	public void setRazon(String razon) {
		this.razon = razon;
	}

}
